package com.unipi.talepis;

import java.util.Scanner;

public class Main {

    public static void main(String[] args) {
        /*MyThread m1 = new MyThread();
        m1.setDaemon(false);
        m1.start();*/
	    //new MyThread().start();
        MyThread m2 = new MyThread();
        m2.start();
        Scanner scanner = new Scanner(System.in);
        while (true){
            System.out.println("Enter something:");
            String userInput = scanner.nextLine();
            if (userInput.equals("terminate")){
                userInput = "exit";
                m2.setMessage(userInput);
                return;
            }
            m2.setMessage(userInput);
        }
    }
}

class MyThread extends Thread{
    private String message;
    public synchronized void setMessage(String message){
        this.message = message;
        interrupt();
    }
    private void processMessage(){
        System.out.println("I am doing something with :"+message);
        message = null;
    }
    @Override
    public void run() {
       while (true){
           if (message!=null){
               if (message.equals("exit")){
                   return;
               }
               processMessage();
           }
           try {
               Thread.sleep(60000);
           } catch (InterruptedException e) {
               continue;
           }
       }
    }
}
